#include <zephyr/kernel.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/drivers/spi.h>
#include <zephyr/device.h>
#include <zephyr/drivers/sensor.h>
#include <zephyr/logging/log.h>
#include <zephyr/devicetree.h>
#include "lsm6dsv16x_zephyr.h"  // Include your custom driver header



LOG_MODULE_REGISTER(main, LOG_LEVEL_INF);

int main(void) {
   const struct device *dev = DEVICE_DT_GET(DT_NODELABEL(lsm6dsv16x));

     if(!device_is_ready(dev)) {
         LOG_ERR("Device not read");
         return 1;
     }

     uint8_t who_am_i;
     if(custom_lsm6dsv16x_who_am_i(dev, &who_am_i) == 0) {
         LOG_INF("WHO_AM_I: 0x%02x", who_am_i);
     }

    return 0;
}
